Bug 1489352 - set the shard-block-size to recommended value in virt profile
Summary: set the shard-block-size to recommended value in virt profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhi-1.1
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHHI 1.1
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1468969
Blocks: RHHI-1.1-Approved-Backlog-BZs
TreeView+ depends on / blocked
 
Reported: 2017-09-07 09:11 UTC by Sahina Bose
Modified: 2018-01-03 10:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1468969
Environment:
Last Closed: 2018-01-03 10:53:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sahina Bose 2017-09-07 09:11:45 UTC
+++ This bug was initially created as a clone of Bug #1468969 +++

Description of problem:
-----------------------
The better performance was observed with the shard-size of 128MB.
Virt profile should have this attribute and so its set on the volume when the volume is optimized for virt-profile

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.2.0

How reproducible:
-----------------
NA

Steps to Reproduce:
-------------------
NA

Actual results:
---------------
Shard-size is set to 4MB

Expected results:
-----------------
shard-size should be set to 128MB so that perf improvement is observed

--- Additional comment from SATHEESARAN on 2017-07-10 02:52:40 EDT ---

At the moment, performance tests are done with different values and the value is yet to finalized based on the perf tests

--- Additional comment from Rejy M Cyriac on 2017-07-12 07:49:52 EDT ---

At the 'RHGS 3.3.0 - Release Blocker Bug Triage and Status Check' meeting on 12 July, it was decided to NOT ACCEPT this BZ for fix at the RHGS 3.3.0 release

    Need details around which RHHI release is being targeted, release time-lines, and clarity on the expected value for the parameter

    Bug may be re-proposed when clarity on required value(s) and the dependent RHHI release is known

--- Additional comment from Red Hat Bugzilla Rules Engine on 2017-07-12 07:49:55 EDT ---

This BZ having been considered, and subsequently not approved to be fixed at the RHGS 3.3.0 release, is being proposed for the next minor release of RHGS

Comment 1 Krutika Dhananjay 2017-09-08 12:39:01 UTC
https://review.gluster.org/#/c/18243/

Comment 2 Sahina Bose 2017-10-11 06:51:05 UTC
Moving to ON_QA as dependent bug has moved state

Comment 3 SATHEESARAN 2017-10-12 05:15:46 UTC
This bug is fixed with the RHGS product, where the default shard size is updated to 64MB. Verified with the same with RHGS 3.3.1 interim build ( glusterfs-3.8.4-48.el7rhgs )

[root@ ~]# gluster volume get test shard-block-size
Option                                  Value                                   
------                                  -----                                   
features.shard-block-size               64MB


Note You need to log in before you can comment on or make changes to this bug.